### Method

# Ide TreeModel set_kind

#### Declaration

    void
    ide_tree_model_set_kind (
      IdeTreeModel* self,
      const gchar* kind
    )

#### Description

Sets the kind of model that is being created. This determines what plugins are used to generate the tree contents.

This should be set before adding the `IdeTreeModel` to an `IdeObject` to ensure the tree builds the proper contents.

Available since: | 3.32

Sets property | `Ide.TreeModel:kind`

#### Parameters

`kind` | `const gchar*`
| A string describing the kind of model.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.